Bug 64031 - /proc filesystem seems to be taking up disk space (2.4.18-0.22smp)
/proc filesystem seems to be taking up disk space (2.4.18-0.22smp)
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.2
athlon Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-24 02:34 EDT by Justin Hensley
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Justin Hensley 2002-04-24 02:34:07 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0rc1) Gecko/20020417

Description of problem:
I recently upgraded to the (2.4.18-0.22) kernel from rawhide on several
machines, and the /proc filesystem seems to be taking up diskspace (as reported
by df and du)  The machines I'm running on have 2gigs of memory ,and after
upgrading the kernel, the root partition (which was 1gig) is now full.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.upgrade to the 2.4.18-0.22 kernel


	

Actual Results:  dual athlon with 2.4.18-0.22:
result from df:
Filesystem           1k-blocks      Used Available Use% Mounted on
/dev/sda1              1011928    952728      7796 100% /

(the following directories are all on the root partition)
%du -sk bin etc lib mnt root sbin dev proc tmp var
7092    bin
11260   etc
81040   lib
7629    mnt
1984    root
14760   sbin
272     dev
du: `proc/1353/fd/3': No such file or directory
919318  proc
4       tmp
72732   var



Expected Results:  dual athlon with 2.4.9-31:
result from df:
Filesystem           1k-blocks      Used Available Use% Mounted on
/dev/sda1              1011928    228692    731832  24% /

 du -sk bin  etc   lib         mnt   root     sbin dev  proc  sandbox  tmp   var
7092    bin
11260   etc
81040   lib
7702    mnt
1932    root
14748   sbin
272     dev
du: `proc/2179/fd/3': No such file or directory
12      proc
24      tmp
95884   var


Additional info:

These machines are part of a rendering cluster, and are exactly the same (except
for the kernel versions)
Comment 1 Olivier "ceituna" LAMBERT 2003-07-17 12:44:01 EDT
/proc is a virtual filesystem, which means it doesn't take diskspace, but is
used as a kernel/non-kernel interface...

Your problem seems to come from the upgrade rather than from /proc.
Comment 2 Bugzilla owner 2004-09-30 11:39:32 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.